#include <xvt.h>
#include <strings.h>
#include <checks.h>

#include "ve0.h"

#define usage "Errore - Utilizzo: %s -{0|1|2}"

int main( int argc, char** argv )
{
  int rt = -1;
  const int r = (argc > 1) ? atoi( &argv[1][1] ) : -1;

  switch (r)
  {
  case 1:
    rt = ve0100( argc, argv );
    break;
  case 2:
    rt = ve0200( argc, argv );
    break;
  case 3:
    rt = ve0300( argc, argv );
    break;
  default:
    error_box( usage, argv[0] );
    break;
  }
  return rt;
}

